System.Design 2.0.0.0 System.Object

The supports absolute serialization. This means that instead of serializing only values that differ from an object's default values, all values are serialized, allowing values to be reset to their defaults for objects that may have already been initialized. When a component serialization service wishes to indicate this behavior to objects, it will place a object on the context stack. The member in this context may be null, to indicate that all members are serialized, or it can indicate that only a specific member is being serialized at this time.

Specifies that serializers should handle default values. This class cannot be inherited.

- Constructor
  2.0.0.0

  Using the default constructor indicates that this context should be used for all members.

  Initializes a new instance of the class.

- Constructor
  2.0.0.0

  If is null, this context will be used for all members.

  Initializes a new instance of the class with the option of binding to a specific member.

  The member to which this context is bound. Can be null.
- Property
  2.0.0.0
  System.ComponentModel.MemberDescriptor To be added. To be added.

  Gets the member to which this context is bound.

- Method
  2.0.0.0
  System.Boolean `` To be added.

  Gets a value indicating whether the given member should be serialized in this context.

  true if the given member should be serialized in this context; otherwise, false.

  The member to be examined for serialization.